// ResticLogParser
// Copyright (C) 2025  Stefan Mller
//
// This program is free software: you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// this program.  If not, see <http://www.gnu.org/licenses/>.

using ResticLogParser.src;

namespace ResticLogParserTests
{
    public class FileSizeTests
    {
        [TestCase("0 B", 0)]
        [TestCase("739 B", 739)]
        [TestCase("17.601 KiB", 18023)]
        [TestCase("17.601 KB", 17601)]
        [TestCase("107.135 MiB", 112339190)]
        [TestCase("107.135 MB", 107135000)]
        public void Test(string fileSizeText, long expected)
        {
            Assert.That(FileSize.GetBytesFromString(fileSizeText), Is.EqualTo(expected));
        }
    }
}